Bug 12410 - HSSFWorkbook.getSheetName() not return right name
Summary: HSSFWorkbook.getSheetName() not return right name
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 2.0-dev
Hardware: PC All
: P3 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-09-09 03:28 UTC by davychen
Modified: 2005-03-20 17:06 UTC (History)
1 user (show)



Attachments
Patch to fix this problem (681 bytes, patch)
2002-09-11 16:51 UTC, Yoichi Yamaguchi
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description davychen 2002-09-09 03:28:01 UTC
POI-1.8.0-dev
1. First I set my sheet name :
  wb.setSheetName(0,"sheet name - SHEETÃû³Æ²âÊÔ",HSSFWorkbook.ENCODING_UTF_16);
2. Then I get my sheet name:
  String sheetname = wb.getSheetName(0) ;
but encoding of  the sheetname is not right. here is return value "SHEETÃû?²â?
"
 

thanks&regards
Comment 1 Yoichi Yamaguchi 2002-09-11 16:51:52 UTC
Created attachment 3017 [details]
Patch to fix this problem
Comment 2 Andy Oliver 2002-09-12 01:55:00 UTC
Applied.  Thank you.  Please cross check and report back.

Sergei can you also check that this works with Russian?
Comment 3 Sergei Kozello 2002-09-12 18:07:01 UTC
It is OK for Russian.